Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gtkmm
Version:	2.22.0
Release:	1
Summary:	%{name} provides a C++ interface to the GTK+ GUI library.
License:	GNU/GPL
URL:		http://www.gtkmm.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Obsoletes:	%{name}-doc
#Automatically resolved build dependencies
BuildRequires: atkmm-devel
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: cairomm-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: glibmm-devel
BuildRequires: gtk2+-devel
BuildRequires: libgcc
BuildRequires: libpng-devel
BuildRequires: libsigc++-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pangomm-devel
BuildRequires: pixman-devel
BuildRequires: zlib-devel

%description
%{name} provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.
For more details see: %{url}

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires:	rpm >= 4.4.2.3-1

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%_bindir
%_libdir/*.so.*
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/gdkmm-*
%_libdir/gtkmm-*
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 06 2010 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
- obsolete doc package
* Sun Mar 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.16.0-1
- Version update
* Fri Jul 25 2008 Christian Wasem <wasem@ccux-linux.de> 2.12.7-2
- rebuild for doc package
* Sat Jul 19 2008 Christian Wasem <wasem@ccux-linux.de> 2.12.7-1
- Version update
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.12.3-1
- version update
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.10.11-1
- version update
* Sun Aug 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.8.8-1
- version update
* Fri Jul 01 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.3-2
- Tweaked specfile, renamed man to doc, moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.6.3-1
- Version Update to 2.6.3
* Sun Jan 16 2005 Christian Wasem <wasem@ccux-linux.de> 2.4.0-1
- Initial Release
